/*  
 *  - - - -- - -
 *   g a l . h
 *  - - - -- - -
 *  
 *  This header file is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This header file includes all the header files that comprise
 *     the Geberal Astrodynamics Library.
 *  
 *  Status: 
 *  
 *     Library header file  
 *  
 *  This revision:  
 * 
 *     2009 January 9 
 *  
 *  Copyright (C) 2008, 2009 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef _GAL_H_  
#define _GAL_H_ 1  

#include "gal_vecmat.h"
#include "gal_math.h"
#include "gal_pstrings.h"
#include "gal_datetime.h"
#include "gal_eao.h"
#include "gal_star.h"
#include "gal_ellipsoids.h"
#include "gal_gravity.h"
#include "gal_frames.h"
#include "gal_sgp4.h"
#include "gal_odeint.h"
#include "gal_kepler.h"
#include "gal_ephemerides.h"

#endif /* !_GAL_H_ */  

/*  
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008, 2009 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *  
 *  Contact:  
 *  
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
