/*  
 *  - - - - - - - - - - - - - - -
 *   g a l _ d a t e t i m e . h
 *  - - - - - - - - - - - - - - -
 *  
 *  This header file is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This header file includes all of the component header files
 *     for the date time sub-library.
 *  
 *  Status: 
 *  
 *     Sub-library header file
 *
 *  Includes:
 *
 *     gal_cal2jd.h
 *     gal_utc2tai.h
 *     gal_tai2tt.h
 *     gal_utc2tt.h
 *     gal_utc2ut1.h
 *     gal_days2cal.h
 *     gal_dat.h
 *     gal_dtdb.h
 *     gal_epb.h
 *     gal_epb2jd.h
 *     gal_epj.h
 *     gal_epj2jd.h
 *     gal_jd2cal.h
 *     gal_jdcalf.h 
 *  
 *  This revision:  
 * 
 *     2008 May 10 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef _GAL_DATETIME_H_  
#define _GAL_DATETIME_H_ 1  
  
#include "gal_cal2jd.h"
#include "gal_utc2tai.h"
#include "gal_tai2tt.h"
#include "gal_utc2tt.h"
#include "gal_utc2ut1.h"
#include "gal_days2cal.h"
#include "gal_dat.h"
#include "gal_dtdb.h"
#include "gal_epb.h"
#include "gal_epb2jd.h"
#include "gal_epj.h"
#include "gal_epj2jd.h"
#include "gal_jd2cal.h"
#include "gal_jdcalf.h"
  
#endif /* !_GAL_DATETIME_H_ */ 

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
