/*  
 *  - - - - - - - - - - - - - - - - - -
 *   g a l _ e p h e m e r i d e s . h
 *  - - - - - - - - - - - - - - - - - -
 *  
 *  This header file is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This header file includes all of the component header files
 *     for the ephemerides sub-library.
 *  
 *  Status: 
 *  
 *     Sub-library header file 
 *
 *  Includes:
 *
 *     gal_epv.h
 *     gal_plan94.h 
 *     gal_gsupv00.h
 *     gal_gmopv02.h
 *     gal_vsop87.h
 *     gal_hmepv87.h
 *     gal_hvepv87.h
 *     gal_heapv87.h
 *     gal_hebpv87.h
 *     gal_hmapv87.h
 *     gal_hjupv87.h
 *     gal_hsapv87.h
 *     gal_hurpv87.h
 *     gal_hnepv87.h
 *     gal_hplpv87.h
 *     gal_bsupv87.h
 *     gal_bmepv87.h
 *     gal_bvepv87.h
 *     gal_beapv87.h
 *     gal_bebpv87.h
 *     gal_bmapv87.h
 *     gal_bjupv87.h
 *     gal_bsapv87.h
 *     gal_burpv87.h
 *     gal_bnepv87.h
 *     gal_bplpv87.h
 *  
 *  This revision:  
 * 
 *     2008 July 6  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef _GAL_EPHEMERIDES_H_  
#define _GAL_EPHEMERIDES_H_ 1  
  
#include "gal_epv00.h"
#include "gal_plan94.h"
#include "gal_gsupv00.h"
#include "gal_gmopv02.h"
#include "gal_vsop87.h"
#include "gal_hmepv87.h"
#include "gal_hvepv87.h"
#include "gal_heapv87.h"
#include "gal_hebpv87.h"
#include "gal_hmapv87.h"
#include "gal_hjupv87.h"
#include "gal_hsapv87.h"
#include "gal_hurpv87.h"
#include "gal_hnepv87.h"
#include "gal_hplpv87.h"
#include "gal_bsupv87.h"
#include "gal_bmepv87.h"
#include "gal_bvepv87.h"
#include "gal_beapv87.h"
#include "gal_bebpv87.h"
#include "gal_bmapv87.h"
#include "gal_bjupv87.h"
#include "gal_bsapv87.h"
#include "gal_burpv87.h"
#include "gal_bnepv87.h"
#include "gal_bplpv87.h"
  
#endif /* !_GAL_EPHEMERIDES_H_ */ 

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
