/*  
 *  - - - - - - - - - -  
 *   g a l _ i n s t r  
 *  - - - - - - - - - -  
 *  
 *  This routine is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This routine finds the first occurrence of the sub-string s2 in the string
 *     s1. It returns the position of the first character of the sub-string in s1.
 *     If the sub-string cannot be found then -1 is returned.
 *  
 *  Status: 
 *  
 *     string manipulation routine.  
 *  
 *  Given:  
 *
 *     *s1              c[]         Pointer to the string to search
 *     *s2              c[]         Sub-string to search for in s1
 *  
 *  Returned:  
 *  
 *     gal_instr         i          Character position of the first occurrence
 *                                  of the sub-string s2 in the string s1.
 *                                  If the sub-string s2 cannot be found in s1 
 *                                  then -1 is returned.
 *  
 *  This revision:  
 *  
 *     2008 March 2 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef _GAL_INSTR_H_  
#define _GAL_INSTR_H_ 1  
  
#undef  __BEGIN_DECLS  
#undef  __END_DECLS  
#ifdef  __cplusplus  
#define __BEGIN_DECLS extern "C" {  
#define __END_DECLS }  
#else  
#define __BEGIN_DECLS /* empty */  
#define __END_DECLS   /* empty */  
#endif
  
__BEGIN_DECLS  

int  
gal_instr
  (
    char *s1,
	char *s2
  ) ;	  
 
__END_DECLS  
  
#endif /* !_GAL_INSTR_H_ */ 

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
