/*  
 *  - - - - - - - - - - - - -
 *   g a l _ k e p l e r . h
 *  - - - - - - - - - - - - -
 *  
 *  This header file is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This header file includes all of the component header files
 *     for the kepler sub-library.
 *  
 *  Status: 
 *  
 *     Sub-library header file  
 *
 *  Includes:  
 *
 *     gal_pv2kep.h
 *     gal_kep2pv.h
 *     gal_pvt2pv.h
 *     gal_ma2ea.h
 *     gal_ma2ha.h
 *     gal_ea2ta.h
 *     gal_ha2ta.h
 *     gal_ta2ea.h
 *     gal_ta2ha.h
 *     gal_t2pa.h
 *  
 *  This revision:  
 * 
 *     2009 January 2
 *  
 *  Copyright (C) 2008, 2009 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef _GAL_KEPLER_H_  
#define _GAL_KEPLER_H_ 1  
  
#include "gal_pv2kep.h"
#include "gal_kep2pv.h"
#include "gal_pvt2pv.h"
#include "gal_ma2ea.h"
#include "gal_ma2ha.h"
#include "gal_ea2ta.h"
#include "gal_ha2ta.h"
#include "gal_ta2ea.h"
#include "gal_ta2ha.h"
#include "gal_t2pa.h"
  
#endif /* !_GAL_KEPLER_H_ */ 

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008, 2009 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
