/*  
 *  - - - - - - - - - - - - -
 *   g a l _ o d e i n t . h
 *  - - - - - - - - - - - - - 
 *  
 *  This header file is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This header file includes all of the component header files
 *     for the ODE Integrator sub-library.
 *  
 *  Status: 
 *  
 *     Sub-library header file  
 *
 *  Includes:  
 *
 *     gal_rkf.h
 *     gal_rkf45.h
 *     gal_rkfck45.h
 *     gal_rkfs56.h
 *     gal_rkfs67.h
 *     gal_rkfs78.h
 *  
 *  This revision:  
 * 
 *     2008 June 15  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef _GAL_ODEINT_H_  
#define _GAL_ODEINT_H_ 1  

#include "gal_rkfqs.h"  
#include "gal_rkf.h"
#include "gal_rkfcks45.h"
#include "gal_rkfs45.h"
#include "gal_rkfs56.h"
#include "gal_rkfs67.h"
#include "gal_rkfs78.h"

#endif /* !_GAL_ODEINT_H_ */ 

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
