/*  
 *  - - - - - - - - - - - - -
 *   g a l _ v e c m a t . h
 *  - - - - - - - - - - - - -
 *  
 *  This header file is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This header file includes all of the component header files
 *     for the vector matrix sub-library.
 *  
 *  Status: 
 *  
 *     Sub-library header file 
 *
 *  Includes:
 * 
 *     gal_a2af.h
 *     gal_a2tf.h  
 *     gal_anp.h  
 *     gal_anpm.h  
 *     gal_c2s.h  
 *     gal_cp.h  
 *     gal_cpv.h   
 *     gal_cr.h  
 *     gal_d2tf.h  
 *     gal_dr.h
 *     gal_invr.h    
 *     gal_ir.h  
 *     gal_p2pv.h  
 *     gal_p2s.h  
 *     gal_pap.h  
 *     gal_pas.h  
 *     gal_pdp.h  
 *     gal_pm.h  
 *     gal_pmp.h  
 *     gal_pn.h  
 *     gal_ppp.h 
 *     gal_ppsp.h  
 *     gal_pv2p.h  
 *     gal_pv2s.h  
 *     gal_pvdpv.h  
 *     gal_pvm.h  
 *     gal_pvmpv.h  
 *     gal_pvppv.h  
 *     gal_pvu.h
 *     gal_pvup.h  
 *     gal_pvxpv.h  
 *     gal_pxp.h  
 *     gal_rm2v.h  
 *     gal_rv2m.h  
 *     gal_rx.h  
 *     gal_rxp.h  
 *     gal_rxpv.h 
 *     gal_rxpva.h 
 *     gal_rxr.h  
 *     gal_ry.h  
 *     gal_rz.h  
 *     gal_s2c.h  
 *     gal_s2p.h  
 *     gal_s2pv.h  
 *     gal_s2xpv.h  
 *     gal_sepp.h  
 *     gal_seps.h  
 *     gal_sxp.h
 *     gal_sxpv.h  
 *     gal_tr.h  
 *     gal_trxp.h   
 *     gal_trxpv.h  
 *     gal_zp.h  
 *     gal_zpv.h  
 *     gal_zr.h
 *  
 *  This revision:  
 * 
 *     2008 May 24 
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef _GAL_VECMAT_H_  
#define _GAL_VECMAT_H_ 1  

#include "gal_a2af.h"
#include "gal_a2tf.h"  
#include "gal_anp.h"  
#include "gal_anpm.h"  
#include "gal_c2s.h"  
#include "gal_cp.h"  
#include "gal_cpv.h"   
#include "gal_cr.h"  
#include "gal_d2tf.h"  
/* #include "gal_dr.h" */
/* #include "gal_invr.h"  */  
#include "gal_ir.h"  
#include "gal_p2pv.h"  
#include "gal_p2s.h"  
#include "gal_pap.h"  
#include "gal_pas.h"  
#include "gal_pdp.h"  
#include "gal_pm.h"  
#include "gal_pmp.h"  
#include "gal_pn.h"  
#include "gal_ppp.h" 
#include "gal_ppsp.h"  
#include "gal_pv2p.h"  
#include "gal_pv2s.h"  
#include "gal_pvdpv.h"  
#include "gal_pvm.h"  
#include "gal_pvmpv.h"  
#include "gal_pvppv.h"  
#include "gal_pvu.h"
#include "gal_pvup.h"  
#include "gal_pvxpv.h"  
#include "gal_pxp.h"  
#include "gal_rm2v.h"  
#include "gal_rv2m.h"  
#include "gal_rx.h"  
#include "gal_rxp.h"  
#include "gal_rxpv.h" 
/* #include "gal_rxpva.h" */  
#include "gal_rxr.h"  
#include "gal_ry.h"  
#include "gal_rz.h"  
#include "gal_s2c.h"  
#include "gal_s2p.h"  
#include "gal_s2pv.h"  
#include "gal_s2xpv.h"  
#include "gal_sepp.h"  
#include "gal_seps.h"  
#include "gal_sxp.h"
#include "gal_sxpv.h"  
#include "gal_tr.h"  
#include "gal_trxp.h"   
#include "gal_trxpv.h"  
#include "gal_zp.h"  
#include "gal_zpv.h"  
#include "gal_zr.h"
 
#endif /* !_GAL_VECMAT_H_ */ 

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
